package com.xpx.pojo;

import java.io.Serializable;
import java.util.List;

/**
 * @author 夏培轩
 */
public class Menu implements Serializable {

    private int mmid;
    private String mname;
    private String url;
    private int pid;
    //存放二级菜单
    private List<Menu> menus;

    public Menu() {
    }

    public Menu(int mmid, String mname, String url, int pid, List<Menu> menus) {
        this.mmid = mmid;
        this.mname = mname;
        this.url = url;
        this.pid = pid;
        this.menus = menus;
    }

    public int getMmid() {
        return mmid;
    }

    public void setMmid(int mmid) {
        this.mmid = mmid;
    }

    public String getMname() {
        return mname;
    }

    public void setMname(String mname) {
        this.mname = mname;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public int getPid() {
        return pid;
    }

    public void setPid(int pid) {
        this.pid = pid;
    }

    public List<Menu> getMenus() {
        return menus;
    }

    public void setMenus(List<Menu> menus) {
        this.menus = menus;
    }

    @Override
    public String toString() {
        return "Menu{" +
                "mmid=" + mmid +
                ", mname='" + mname + '\'' +
                ", url='" + url + '\'' +
                ", pid=" + pid +
                ", menus=" + menus +
                '}';
    }
}
